v1.14.5

Release Date: August 11, 2022

Features included in this release:

  • VMware Tanzu GemFire for VMs supports use of the VMware Tanzu GemFire for Redis Apps add-on. For more information, see Using the VMware Tanzu GemFire for Redis Apps Add-on.

  • Support for Transport Layer Security (TLS) 1.3.

  • Support for platform tags. For more information, see Configure Platform Tags in Installing and Configuring VMware Tanzu GemFire.

  • Underlying JDK updated to 8u342.

  • This version of VMware Tanzu GemFire for VMs runs GemFire 9.15.1.

  • Supports VMware Tanzu Application Service for VMs (TAS) versions 2.7, 2.8, 2.9, 2.10, 2.11, 2.12, and 2.13 (partial).

    Support for TAS 2.13 is partially-compatible. TAS 2.13 contains a breaking change (as outlined in the TAS 2.13 release notes), with the following recommended workaround:

    "Service instance metrics will not be not retrievable unless users deselect the Enable Log Cache Syslog Ingestion checkbox in the System Logging pane of the Tanzu Application Service for VMs tile in Ops Manager."

For VMware Tanzu Application Service for VMs and Ops Manager version compatibility, see Product Snapshot and Version Compatibility.

VMware Tanzu GemFire for VMs v1.14.5 resolves the following issue:

  • GF4TAS-1: Fixed an issue where certificates associated with a service instance were not deleted when the service instance was deleted.

Note: Jump upgrades to VMware Tanzu GemFire for VMs v1.14.5 requires multiple steps. For example, if you are on 1.10.9, you must first JUMP upgrade to 1.14.3, then you can upgrade to 1.14.5.


v1.14.4

Release Date: March 18, 2022

Version 1.14.4 of VMware Tanzu GemFire for VMs runs Apache Geode v1.14.4.

VMware Tanzu GemFire for VMs v1.14.4 resolves the following issue:

GEODE-10093, GEM-3541: Fixed an issue in which the DeltaSession getAttribute method logs an NPE and returns an unserialized value when called on an attribute with a null value.


v1.14.3

Release Date: January 28, 2022

Version 1.14.3 of VMware Tanzu GemFire for VMs runs Apache Geode v1.14.3.

VMware Tanzu GemFire for VMs v1.14.3 resolves the following issues:

  • GEODE-9060, GEM-3488: Cleaned up replicates list for the GII (Get Initial Image) provider to improve restarts.

  • GEODE-9905, GEM-3490: Upgraded log4j to v2.17.1 to address CVE-2021-44832 and CVE-2021-45105.

  • GEM-3237: Addresses CVE-2021-29153, deserialization of untrusted data vulnerability in JMX over RMI and REST APIs, by configuring process-wide serialization filtering when the system property --J=-Dgeode.enableGlobalSerialFilter=true is supplied.


v1.14.2

Release Date: December 16, 2021

Version 1.14.2 of VMware Tanzu GemFire for VMs runs Apache Geode v1.14.2.

VMware Tanzu GemFire for VMs v1.14.2 resolves the following issues:

  • GEODE-9898, GEM-3486: Upgraded log4j to v2.16.0 to address CVE-2021-45046. For more information on these vulnerabilities and their impact on VMware products please see VMSA-2021-0028.

v1.14.1

Release Date: December 11, 2021

Version 1.14.1 of VMware Tanzu GemFire for VMs runs Apache Geode v1.14.1.

VMware Tanzu GemFire for VMs v1.14.1 resolves the following issues:

  • GEODE-9888, GEM-3478: Upgraded log4j to address CVE-2021-44228.

  • GEODE-9825, GEM-3444: Fixed network buffer handling problem (when TLS was deactivated, and cluster members used disparate socket-buffer-size settings) that could result in hangs.


v1.14.0

Release Date: September 28, 2021

Version 1.14.0 of VMware Tanzu GemFire for VMs runs Apache Geode v1.14.0.

Features included in v1.14.0:

  • Jump upgrades to v1.14 are supported from the following versions:

    • 1.13.4
    • 1.12.3
    • 1.11.3
    • 1.10.7

    Upgrading to GemFire for VMs 1.14 from any version other than those shown requires multiple steps. For example, if your current version is v1.10.5, you must first upgrade to v1.10.7, from which you can then jump upgrade to 1.14.

    If your application connects via the Services Gateway feature, there are additional prerequisites.

    For details on these and other upgrade issues, see Upgrading VMware Tanzu GemFire.

  • GemFire for VMs supports VMware Tanzu Application Service for VMs versions 2.7, 2.8, 2.9, 2.10, and 2.11.

  • The Advanced configuration feature allows users to configure custom JVM options, GemFire properties, credentials, and Resource Manager properties. See Advanced Service Instance Configuration for more information.


Upgrade Notes

  • Upgrades to current versions of VMware Tanzu GemFire for VMs may require multiple steps. For example, to upgrade from v1.10.9 to v1.14.5, you must first jump upgrade to v1.14.3, then upgrade to v1.14.5.

    For more information about upgrading, see Upgrading VMware Tanzu GemFire.

  • GemFire Native Client applications must be upgraded to at least version 10.3.0 before upgrading to GemFire for VMs v1.14.5, due to a protocol alignment/client-server handshake fix in GemFire v9.15.

check-circle-line exclamation-circle-line close-line
Scroll to top icon